!******************************************************************************!
!                                                                              !
!    fill_couplings2.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_couplings2.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2016                                 |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-04-01 12:00             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_couplings2
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_couplings_mdl2()
      coupl(nGC_868) = -cima*ee*(3d0*cw**2d0 + sw**2d0)/(6d0*cw*sw**2d0)
      coupl(nGC_245) = 3d0*cima*(ca**3d0*l3*vev + 3d0*ca**2d0*l2*sa*vevs - 2d0*&
                       ca**2d0*l3*sa*vevs + 3d0*ca*l1*sa**2d0*vev - 2d0*ca*l3* &
                       sa**2d0*vev + l3*sa**3d0*vevs)
      coupl(nGC_249) = 3d0*cima*sa*(ca**2d0*l3 + l1*sa**2d0)
      coupl(nGC_259) = cima*gs
      coupl(nGC_251) = -3d0*ca**3d0*cima*vevs
      coupl(nGC_253) = 3d0*ca*cima*sa*(ca*vev - sa*vevs)
      coupl(nGC_255) = 3d0*cima*sa**3d0*vev
      coupl(nGC_748) = cima*ee/(2d0*cMW)
      coupl(nGC_749) = -cima*ee**2d0*sa/(2d0*cw**2d0)
      coupl(nGC_741) = -3d0*cima
      coupl(nGC_746) = cima*ee**2d0*sa/(2d0*cw)
      coupl(nGC_744) = ca*cima*ee**2d0/(2d0*cw**2d0)
      coupl(nGC_745) = -ca*cima*ee**2d0/cw
      coupl(nGC_100) = -cima*ym
      coupl(nGC_101) = -sqrt(2d0)*ym/2d0
      coupl(nGC_102) = sqrt(2d0)*ym/2d0
      coupl(nGC_103) = -sqrt(2d0)*ca*cima*ym/2d0
      coupl(nGC_104) = sqrt(2d0)*cima*sa*ym/2d0
      coupl(nGC_105) = -cima*ys
      coupl(nGC_106) = -sqrt(2d0)*ys/2d0
      coupl(nGC_107) = sqrt(2d0)*ys/2d0
      coupl(nGC_108) = -sqrt(2d0)*ca*cima*ys/2d0
      coupl(nGC_109) = sqrt(2d0)*cima*sa*ys/2d0
      coupl(nGC_812) = -ee**2d0/(2d0*sw**2d0)
      coupl(nGC_813) = ee**2d0/sw
      coupl(nGC_810) = ee**2d0/(2d0*sw**2d0)
      coupl(nGC_811) = -ee**2d0/sw
      coupl(nGC_816) = cima*cw*ee/sw
      coupl(nGC_817) = 2d0*cima*ee**2d0/sw
      coupl(nGC_814) = cima*ee/sw
      coupl(nGC_815) = -cima*cw*ee/sw**2d0
      coupl(nGC_818) = -2d0*cima*cw*ee**2d0/sw**2d0
      coupl(nGC_819) = 4d0*cima*cw*ee**2d0/sw
      coupl(nGC_610) = sqrt(2d0)*cima*sa*yup/2d0
      coupl(nGC_247) = -3d0*ca*cima*(ca**2d0*l2 + l3*sa**2d0)
      coupl(nGC_241) = 3d0*ca**2d0*cima*sa*vev
      coupl(nGC_759) = -cima*sa**2d0
      coupl(nGC_758) = -2d0*ca*cima*sa*(l1 - l3)
      coupl(nGC_751) = ca*cima*ee**2d0/(2d0*cw)
      coupl(nGC_750) = cima*ee**2d0*sa/cw
      coupl(nGC_753) = ca*cima*sa
      coupl(nGC_752) = cima*(ca - sa)*(ca + sa)*(l1 - l3)
      coupl(nGC_755) = 2d0*ca*cima*sa*(l1 - l3)
      coupl(nGC_754) = -ca*cima*sa
      coupl(nGC_757) = -cima*sa**2d0
      coupl(nGC_756) = -ca**2d0*cima
      coupl(nGC_119) = sqrt(2d0)*cima*sa*ytau/2d0
      coupl(nGC_118) = -sqrt(2d0)*ca*cima*ytau/2d0
      coupl(nGC_117) = sqrt(2d0)*ytau/2d0
      coupl(nGC_116) = -sqrt(2d0)*ytau/2d0
      coupl(nGC_115) = -cima*ytau
      coupl(nGC_114) = sqrt(2d0)*cima*sa*yt/2d0
      coupl(nGC_113) = -sqrt(2d0)*ca*cima*yt/2d0
      coupl(nGC_112) = sqrt(2d0)*yt/2d0
      coupl(nGC_111) = -sqrt(2d0)*yt/2d0
      coupl(nGC_110) = cima*yt
      coupl(nGC_423) = -coupl(nGC_3)
      coupl(nGC_419) = -coupl(nGC_4)
      coupl(nGC_439) = -2d0*coupl(nGC_12)
      coupl(nGC_431) = -2d0*coupl(nGC_27)
      coupl(nGC_435) = -2d0*coupl(nGC_5)
      coupl(nGC_437) = -2d0*coupl(nGC_29)
    end subroutine fill_couplings_mdl2
end module fill_couplings2
