!******************************************************************************!
!                                                                              !
!    ctparameter115.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter115.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2016                                 |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-04-01 12:00             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter115
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter115()
  dMT_QED2 = (2d0*Ten396*cMT*coupl(nGC_2)**2d0 + Ten397*cMT*(-coupl(nGC_111)** &
             2d0 - 2d0*coupl(nGC_111)*coupl(nGC_112) - coupl(nGC_112)**2d0 -   &
             2d0*coupl(nGC_51)**2d0 + 8d0*coupl(nGC_51)*coupl(nGC_54) - 2d0*   &
             coupl(nGC_54)**2d0)/2d0 + Ten398*(-cMB*coupl(nGC_110)*coupl(nGC_80&
             ) - cMT*coupl(nGC_110)**2d0/2d0 - cMT*coupl(nGC_33)**2d0 - cMT*   &
             coupl(nGC_80)**2d0/2d0) + Ten399*cMT*coupl(nGC_114)**2d0 + Ten400*&
             cMT*coupl(nGC_113)**2d0 - 2d0*Ten401*cMT*coupl(nGC_2)**2d0 +      &
             Ten402*cMT*(-coupl(nGC_111)*coupl(nGC_112) - coupl(nGC_51)**2d0 - &
             coupl(nGC_54)**2d0) + Ten403*cMT*(-coupl(nGC_110)**2d0 - 2d0*coupl&
             (nGC_33)**2d0 - coupl(nGC_80)**2d0)/2d0 - Ten404*cMT*coupl(nGC_114&
             )**2d0 - Ten405*cMT*coupl(nGC_113)**2d0 + 2d0*Ten406*cMT*coupl(   &
             nGC_114)**2d0*rMT*(-cMT + rMT) + 2d0*Ten407*cMT*coupl(nGC_113)**  &
             2d0*rMT*(-cMT + rMT) + 4d0*Ten408*coupl(nGC_2)**2d0*rMT*(2d0*cMT**&
             2d0 - 3d0*cMT*rMT + rMT**2d0) + Ten409*rMT*(-cMT**2d0*coupl(      &
             nGC_111)**2d0 - cMT**2d0*coupl(nGC_112)**2d0 + 8d0*cMT**2d0*coupl(&
             nGC_51)*coupl(nGC_54) + cMT*coupl(nGC_111)**2d0*rMT - 2d0*cMT*    &
             coupl(nGC_111)*coupl(nGC_112)*rMT + cMT*coupl(nGC_112)**2d0*rMT - &
             2d0*cMT*coupl(nGC_51)**2d0*rMT - 8d0*cMT*coupl(nGC_51)*coupl(     &
             nGC_54)*rMT - 2d0*cMT*coupl(nGC_54)**2d0*rMT + 2d0*coupl(nGC_111)*&
             coupl(nGC_112)*rMT**2d0 + 2d0*coupl(nGC_51)**2d0*rMT**2d0 + 2d0*  &
             coupl(nGC_54)**2d0*rMT**2d0) + Ten410*rMT*(-2d0*cMB*cMT*coupl(    &
             nGC_110)*coupl(nGC_80) + 2d0*cMB*coupl(nGC_110)*coupl(nGC_80)*rMT &
              - cMT*coupl(nGC_110)**2d0*rMT - 2d0*cMT*coupl(nGC_33)**2d0*rMT - &
             cMT*coupl(nGC_80)**2d0*rMT + coupl(nGC_110)**2d0*rMT**2d0 + 2d0*  &
             coupl(nGC_33)**2d0*rMT**2d0 + coupl(nGC_80)**2d0*rMT**2d0) + 2d0* &
             Ten411*coupl(nGC_114)**2d0*rMT**2d0*(cMT - rMT) + 2d0*Ten412*coupl&
             (nGC_113)**2d0*rMT**2d0*(cMT - rMT) + 4d0*Ten413*coupl(nGC_2)**2d0&
             *rMT**2d0*(-cMT + rMT) + 2d0*Ten414*rMT**2d0*(-cMT*coupl(nGC_111)*&
             coupl(nGC_112) - cMT*coupl(nGC_51)**2d0 - cMT*coupl(nGC_54)**2d0  &
              + coupl(nGC_111)*coupl(nGC_112)*rMT + coupl(nGC_51)**2d0*rMT +   &
             coupl(nGC_54)**2d0*rMT) + Ten415*rMT**2d0*(-cMT*coupl(nGC_110)**  &
             2d0 - 2d0*cMT*coupl(nGC_33)**2d0 - cMT*coupl(nGC_80)**2d0 + coupl(&
             nGC_110)**2d0*rMT + 2d0*coupl(nGC_33)**2d0*rMT + coupl(nGC_80)**  &
             2d0*rMT) + pi**2d0*(-32d0*aEW*cMT**2d0/(9d0*pi*rMT) + 32d0*aEW*rMT&
             /(9d0*pi) - cMT*coupl(nGC_2)**2d0/pi**2d0 + cMT*coupl(nGC_33)**2d0&
             /(2d0*pi**2d0) + cMT*coupl(nGC_51)**2d0/(2d0*pi**2d0) - 2d0*cMT*  &
             coupl(nGC_51)*coupl(nGC_54)/pi**2d0 + cMT*coupl(nGC_54)**2d0/(2d0*&
             pi**2d0)))/(16d0*pi**2d0) + cima*coupl(nGC_114)*dtHl_QED1/cMHL**  &
             2d0 + cima*coupl(nGC_113)*dtHh_QED1/cMHH**2d0
    if (.not. complex_mass_scheme) then
      dMT_QED2 = cone*real(dMT_QED2,kind=dp)
    end if 
end subroutine set_ctparameter115
end module ctparameter115
