!******************************************************************************!
!                                                                              !
!    ctparameter138.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter138.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2016                                 |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-04-01 12:00             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter138
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter138()
  dMZ2_QED2 = (2d0*Nc*Ten549*(-6d0*cMU**2d0*coupl(nGC_51)*coupl(nGC_54) - cMZ**&
              2d0*coupl(nGC_51)**2d0 - cMZ**2d0*coupl(nGC_54)**2d0 + coupl(    &
              nGC_51)**2d0*rMZ**2d0 + coupl(nGC_54)**2d0*rMZ**2d0)/3d0 + 2d0*Nc&
              *Ten550*(-6d0*cMC**2d0*coupl(nGC_51)*coupl(nGC_54) - cMZ**2d0*   &
              coupl(nGC_51)**2d0 - cMZ**2d0*coupl(nGC_54)**2d0 + coupl(nGC_51  &
              )**2d0*rMZ**2d0 + coupl(nGC_54)**2d0*rMZ**2d0)/3d0 + 2d0*Nc*     &
              Ten551*(-6d0*cMT**2d0*coupl(nGC_51)*coupl(nGC_54) - cMZ**2d0*    &
              coupl(nGC_51)**2d0 - cMZ**2d0*coupl(nGC_54)**2d0 + coupl(nGC_51  &
              )**2d0*rMZ**2d0 + coupl(nGC_54)**2d0*rMZ**2d0)/3d0 + 2d0*Nc*     &
              Ten552*(-6d0*cMD**2d0*coupl(nGC_50)*coupl(nGC_53) - cMZ**2d0*    &
              coupl(nGC_50)**2d0 - cMZ**2d0*coupl(nGC_53)**2d0 + coupl(nGC_50  &
              )**2d0*rMZ**2d0 + coupl(nGC_53)**2d0*rMZ**2d0)/3d0 + 2d0*Nc*     &
              Ten553*(-6d0*cMS**2d0*coupl(nGC_50)*coupl(nGC_53) - cMZ**2d0*    &
              coupl(nGC_50)**2d0 - cMZ**2d0*coupl(nGC_53)**2d0 + coupl(nGC_50  &
              )**2d0*rMZ**2d0 + coupl(nGC_53)**2d0*rMZ**2d0)/3d0 + 2d0*Nc*     &
              Ten554*(-6d0*cMB**2d0*coupl(nGC_50)*coupl(nGC_53) - cMZ**2d0*    &
              coupl(nGC_50)**2d0 - cMZ**2d0*coupl(nGC_53)**2d0 + coupl(nGC_50  &
              )**2d0*rMZ**2d0 + coupl(nGC_53)**2d0*rMZ**2d0)/3d0 + 2d0*Nc*     &
              Ten567*rMZ**2d0*(coupl(nGC_51)**2d0 + coupl(nGC_54)**2d0) + 2d0* &
              Nc*Ten568*rMZ**2d0*(coupl(nGC_51)**2d0 + coupl(nGC_54)**2d0) +   &
              2d0*Nc*Ten569*rMZ**2d0*(coupl(nGC_51)**2d0 + coupl(nGC_54)**2d0  &
              ) + 4d0*Nc*Ten570*(coupl(nGC_51)**2d0 + coupl(nGC_54)**2d0) + 4d0&
              *Nc*Ten571*(coupl(nGC_51)**2d0 + coupl(nGC_54)**2d0) + 4d0*Nc*   &
              Ten572*(coupl(nGC_51)**2d0 + coupl(nGC_54)**2d0) + 2d0*Nc*Ten573*&
              rMZ**2d0*(coupl(nGC_51)**2d0 + coupl(nGC_54)**2d0) + 2d0*Nc*     &
              Ten574*rMZ**2d0*(coupl(nGC_51)**2d0 + coupl(nGC_54)**2d0) + 2d0* &
              Nc*Ten575*rMZ**2d0*(coupl(nGC_51)**2d0 + coupl(nGC_54)**2d0) +   &
              2d0*Nc*Ten576*rMZ**2d0*(coupl(nGC_50)**2d0 + coupl(nGC_53)**2d0  &
              ) + 2d0*Nc*Ten577*rMZ**2d0*(coupl(nGC_50)**2d0 + coupl(nGC_53)** &
              2d0) + 2d0*Nc*Ten578*rMZ**2d0*(coupl(nGC_50)**2d0 + coupl(nGC_53 &
              )**2d0) + 4d0*Nc*Ten579*(coupl(nGC_50)**2d0 + coupl(nGC_53)**2d0 &
              ) + 4d0*Nc*Ten580*(coupl(nGC_50)**2d0 + coupl(nGC_53)**2d0) + 4d0&
              *Nc*Ten581*(coupl(nGC_50)**2d0 + coupl(nGC_53)**2d0) + 2d0*Nc*   &
              Ten582*rMZ**2d0*(coupl(nGC_50)**2d0 + coupl(nGC_53)**2d0) + 2d0* &
              Nc*Ten583*rMZ**2d0*(coupl(nGC_50)**2d0 + coupl(nGC_53)**2d0) +   &
              2d0*Nc*Ten584*rMZ**2d0*(coupl(nGC_50)**2d0 + coupl(nGC_53)**2d0  &
              ) + 2d0*Nc*Ten595*(cMU**2d0*cMZ**2d0*coupl(nGC_51)**2d0 - 6d0*cMU&
              **2d0*cMZ**2d0*coupl(nGC_51)*coupl(nGC_54) + cMU**2d0*cMZ**2d0*  &
              coupl(nGC_54)**2d0 - cMU**2d0*coupl(nGC_51)**2d0*rMZ**2d0 + 6d0* &
              cMU**2d0*coupl(nGC_51)*coupl(nGC_54)*rMZ**2d0 - cMU**2d0*coupl(  &
              nGC_54)**2d0*rMZ**2d0 - cMZ**2d0*coupl(nGC_51)**2d0*rMZ**2d0 -   &
              cMZ**2d0*coupl(nGC_54)**2d0*rMZ**2d0 + coupl(nGC_51)**2d0*rMZ**  &
              4d0 + coupl(nGC_54)**2d0*rMZ**4d0)/3d0 + 2d0*Nc*Ten596*(cMC**2d0*&
              cMZ**2d0*coupl(nGC_51)**2d0 - 6d0*cMC**2d0*cMZ**2d0*coupl(nGC_51 &
              )*coupl(nGC_54) + cMC**2d0*cMZ**2d0*coupl(nGC_54)**2d0 - cMC**2d0&
              *coupl(nGC_51)**2d0*rMZ**2d0 + 6d0*cMC**2d0*coupl(nGC_51)*coupl( &
              nGC_54)*rMZ**2d0 - cMC**2d0*coupl(nGC_54)**2d0*rMZ**2d0 - cMZ**  &
              2d0*coupl(nGC_51)**2d0*rMZ**2d0 - cMZ**2d0*coupl(nGC_54)**2d0*rMZ&
              **2d0 + coupl(nGC_51)**2d0*rMZ**4d0 + coupl(nGC_54)**2d0*rMZ**4d0&
              )/3d0 + 2d0*Nc*Ten597*(cMT**2d0*cMZ**2d0*coupl(nGC_51)**2d0 - 6d0&
              *cMT**2d0*cMZ**2d0*coupl(nGC_51)*coupl(nGC_54) + cMT**2d0*cMZ**  &
              2d0*coupl(nGC_54)**2d0 - cMT**2d0*coupl(nGC_51)**2d0*rMZ**2d0 +  &
              6d0*cMT**2d0*coupl(nGC_51)*coupl(nGC_54)*rMZ**2d0 - cMT**2d0*    &
              coupl(nGC_54)**2d0*rMZ**2d0 - cMZ**2d0*coupl(nGC_51)**2d0*rMZ**  &
              2d0 - cMZ**2d0*coupl(nGC_54)**2d0*rMZ**2d0 + coupl(nGC_51)**2d0* &
              rMZ**4d0 + coupl(nGC_54)**2d0*rMZ**4d0)/3d0 + 2d0*Nc*Ten598*(cMD &
              **2d0*cMZ**2d0*coupl(nGC_50)**2d0 - 6d0*cMD**2d0*cMZ**2d0*coupl( &
              nGC_50)*coupl(nGC_53) + cMD**2d0*cMZ**2d0*coupl(nGC_53)**2d0 -   &
              cMD**2d0*coupl(nGC_50)**2d0*rMZ**2d0 + 6d0*cMD**2d0*coupl(nGC_50 &
              )*coupl(nGC_53)*rMZ**2d0 - cMD**2d0*coupl(nGC_53)**2d0*rMZ**2d0  &
               - cMZ**2d0*coupl(nGC_50)**2d0*rMZ**2d0 - cMZ**2d0*coupl(nGC_53  &
              )**2d0*rMZ**2d0 + coupl(nGC_50)**2d0*rMZ**4d0 + coupl(nGC_53)**  &
              2d0*rMZ**4d0)/3d0 + 2d0*Nc*Ten599*(cMS**2d0*cMZ**2d0*coupl(nGC_50&
              )**2d0 - 6d0*cMS**2d0*cMZ**2d0*coupl(nGC_50)*coupl(nGC_53) + cMS &
              **2d0*cMZ**2d0*coupl(nGC_53)**2d0 - cMS**2d0*coupl(nGC_50)**2d0* &
              rMZ**2d0 + 6d0*cMS**2d0*coupl(nGC_50)*coupl(nGC_53)*rMZ**2d0 -   &
              cMS**2d0*coupl(nGC_53)**2d0*rMZ**2d0 - cMZ**2d0*coupl(nGC_50)**  &
              2d0*rMZ**2d0 - cMZ**2d0*coupl(nGC_53)**2d0*rMZ**2d0 + coupl(     &
              nGC_50)**2d0*rMZ**4d0 + coupl(nGC_53)**2d0*rMZ**4d0)/3d0 + 2d0*Nc&
              *Ten600*(cMB**2d0*cMZ**2d0*coupl(nGC_50)**2d0 - 6d0*cMB**2d0*cMZ &
              **2d0*coupl(nGC_50)*coupl(nGC_53) + cMB**2d0*cMZ**2d0*coupl(     &
              nGC_53)**2d0 - cMB**2d0*coupl(nGC_50)**2d0*rMZ**2d0 + 6d0*cMB**  &
              2d0*coupl(nGC_50)*coupl(nGC_53)*rMZ**2d0 - cMB**2d0*coupl(nGC_53 &
              )**2d0*rMZ**2d0 - cMZ**2d0*coupl(nGC_50)**2d0*rMZ**2d0 - cMZ**2d0&
              *coupl(nGC_53)**2d0*rMZ**2d0 + coupl(nGC_50)**2d0*rMZ**4d0 +     &
              coupl(nGC_53)**2d0*rMZ**4d0)/3d0 + Ten0*(2d0*cMHL**2d0*cMZ**2d0* &
              coupl(nGC_61)**2d0 - 2d0*cMHL**2d0*coupl(nGC_61)**2d0*rMZ**2d0 - &
              2d0*cMZ**4d0*coupl(nGC_61)**2d0 + 2d0*cMZ**2d0*coupl(nGC_61)**2d0&
              *rMZ**2d0 - 3d0*cima*coupl(nGC_67)*rMZ**4d0)/(6d0*rMZ**4d0) +    &
              Ten1*(-2d0*cMHH**2d0*cMZ**2d0*coupl(nGC_57)**2d0 + 2d0*cMHH**2d0*&
              coupl(nGC_57)**2d0*rMZ**2d0 - 2d0*cMHL**2d0*cMZ**2d0*coupl(nGC_61&
              )**2d0 + 2d0*cMHL**2d0*coupl(nGC_61)**2d0*rMZ**2d0 + 2d0*cMZ**4d0&
              *coupl(nGC_57)**2d0 + 2d0*cMZ**4d0*coupl(nGC_61)**2d0 - 2d0*cMZ**&
              2d0*coupl(nGC_57)**2d0*rMZ**2d0 - 2d0*cMZ**2d0*coupl(nGC_61)**2d0&
              *rMZ**2d0 - 3d0*cima*coupl(nGC_64)*rMZ**4d0)/(6d0*rMZ**4d0) +    &
              Ten2*(2d0*cMHH**2d0*cMZ**2d0*coupl(nGC_57)**2d0 - 2d0*cMHH**2d0* &
              coupl(nGC_57)**2d0*rMZ**2d0 - 2d0*cMZ**4d0*coupl(nGC_57)**2d0 +  &
              2d0*cMZ**2d0*coupl(nGC_57)**2d0*rMZ**2d0 - 3d0*cima*coupl(nGC_65 &
              )*rMZ**4d0)/(6d0*rMZ**4d0) + cima*Ten3*(-6d0*coupl(nGC_29) -     &
              coupl(nGC_63)) + Ten543*(-cMHL**4d0*cMZ**2d0*coupl(nGC_61)**2d0  &
               + cMHL**4d0*coupl(nGC_61)**2d0*rMZ**2d0 + 2d0*cMHL**2d0*cMZ**4d0&
              *coupl(nGC_61)**2d0 - 2d0*cMHL**2d0*cMZ**2d0*coupl(nGC_61)**2d0* &
              rMZ**2d0 - cMZ**6d0*coupl(nGC_61)**2d0 + cMZ**4d0*coupl(nGC_61)**&
              2d0*rMZ**2d0 + cMZ**2d0*coupl(nGC_61)**2d0*rMZ**4d0 - coupl(     &
              nGC_61)**2d0*rMZ**6d0 - 3d0*coupl(nGC_73)**2d0*rMZ**4d0)/(3d0*rMZ&
              **4d0) + Ten544*(-cMHH**4d0*cMZ**2d0*coupl(nGC_57)**2d0 + cMHH** &
              4d0*coupl(nGC_57)**2d0*rMZ**2d0 + 2d0*cMHH**2d0*cMZ**4d0*coupl(  &
              nGC_57)**2d0 - 2d0*cMHH**2d0*cMZ**2d0*coupl(nGC_57)**2d0*rMZ**2d0&
               - cMZ**6d0*coupl(nGC_57)**2d0 + cMZ**4d0*coupl(nGC_57)**2d0*rMZ &
              **2d0 + cMZ**2d0*coupl(nGC_57)**2d0*rMZ**4d0 - coupl(nGC_57)**2d0&
              *rMZ**6d0 - 3d0*coupl(nGC_72)**2d0*rMZ**4d0)/(3d0*rMZ**4d0) +    &
              Ten545*(cMZ**2d0*coupl(nGC_36)**2d0/12d0 + 13d0*cMZ**2d0*coupl(  &
              nGC_37)**2d0/4d0 - cMZ**2d0*coupl(nGC_55)**2d0/3d0 - coupl(nGC_36&
              )**2d0*rMZ**2d0/12d0 + 7d0*coupl(nGC_37)**2d0*rMZ**2d0/4d0 +     &
              coupl(nGC_55)**2d0*rMZ**2d0/3d0 - 2d0*coupl(nGC_68)**2d0) +      &
              Ten546*(-4d0*cME**2d0*coupl(nGC_52)*coupl(nGC_55) - 2d0*cMZ**2d0*&
              coupl(nGC_52)**2d0/3d0 - 2d0*cMZ**2d0*coupl(nGC_55)**2d0/3d0 +   &
              2d0*coupl(nGC_52)**2d0*rMZ**2d0/3d0 + 2d0*coupl(nGC_55)**2d0*rMZ &
              **2d0/3d0) + Ten547*(-4d0*cMM**2d0*coupl(nGC_52)*coupl(nGC_55) - &
              2d0*cMZ**2d0*coupl(nGC_52)**2d0/3d0 - 2d0*cMZ**2d0*coupl(nGC_55  &
              )**2d0/3d0 + 2d0*coupl(nGC_52)**2d0*rMZ**2d0/3d0 + 2d0*coupl(    &
              nGC_55)**2d0*rMZ**2d0/3d0) + Ten548*(-4d0*cMTA**2d0*coupl(nGC_52 &
              )*coupl(nGC_55) - 2d0*cMZ**2d0*coupl(nGC_52)**2d0/3d0 - 2d0*cMZ**&
              2d0*coupl(nGC_55)**2d0/3d0 + 2d0*coupl(nGC_52)**2d0*rMZ**2d0/3d0 &
               + 2d0*coupl(nGC_55)**2d0*rMZ**2d0/3d0) + 2d0*Ten555*coupl(nGC_37&
              )**2d0*rMZ**2d0 + Ten556*(-coupl(nGC_36)**2d0 + 17d0*coupl(nGC_37&
              )**2d0 + 4d0*coupl(nGC_55)**2d0) + 2d0*Ten557*coupl(nGC_37)**2d0*&
              rMZ**2d0 + 2d0*Ten558*rMZ**2d0*(coupl(nGC_52)**2d0 + coupl(nGC_55&
              )**2d0) + 2d0*Ten559*rMZ**2d0*(coupl(nGC_52)**2d0 + coupl(nGC_55 &
              )**2d0) + 2d0*Ten560*rMZ**2d0*(coupl(nGC_52)**2d0 + coupl(nGC_55 &
              )**2d0) + Ten561*(4d0*coupl(nGC_52)**2d0 + 4d0*coupl(nGC_55)**2d0&
              ) + Ten562*(4d0*coupl(nGC_52)**2d0 + 4d0*coupl(nGC_55)**2d0) +   &
              Ten563*(4d0*coupl(nGC_52)**2d0 + 4d0*coupl(nGC_55)**2d0) + 2d0*  &
              Ten564*rMZ**2d0*(coupl(nGC_52)**2d0 + coupl(nGC_55)**2d0) + 2d0* &
              Ten565*rMZ**2d0*(coupl(nGC_52)**2d0 + coupl(nGC_55)**2d0) + 2d0* &
              Ten566*rMZ**2d0*(coupl(nGC_52)**2d0 + coupl(nGC_55)**2d0) + 6d0* &
              Ten585*coupl(nGC_56)**2d0*rMZ**2d0 - 4d0*Ten586*coupl(nGC_61)**  &
              2d0 - 4d0*Ten587*coupl(nGC_57)**2d0 + 12d0*Ten588*coupl(nGC_56)**&
              2d0 + 6d0*Ten589*coupl(nGC_56)**2d0*rMZ**2d0 + 2d0*Ten590*coupl( &
              nGC_56)**2d0*(-cMZ**2d0 + rMZ**2d0) + Ten591*(-cMW**2d0*cMZ**2d0*&
              coupl(nGC_36)**2d0/3d0 + 5d0*cMW**2d0*cMZ**2d0*coupl(nGC_37)**2d0&
               + 4d0*cMW**2d0*cMZ**2d0*coupl(nGC_55)**2d0/3d0 + cMW**2d0*coupl(&
              nGC_36)**2d0*rMZ**2d0/3d0 - 5d0*cMW**2d0*coupl(nGC_37)**2d0*rMZ**&
              2d0 - 4d0*cMW**2d0*coupl(nGC_55)**2d0*rMZ**2d0/3d0 + cMZ**2d0*   &
              coupl(nGC_36)**2d0*rMZ**2d0/12d0 + 13d0*cMZ**2d0*coupl(nGC_37)** &
              2d0*rMZ**2d0/4d0 - cMZ**2d0*coupl(nGC_55)**2d0*rMZ**2d0/3d0 - 2d0&
              *cMZ**2d0*coupl(nGC_68)**2d0 - coupl(nGC_36)**2d0*rMZ**4d0/12d0  &
               - 13d0*coupl(nGC_37)**2d0*rMZ**4d0/4d0 + coupl(nGC_55)**2d0*rMZ &
              **4d0/3d0 + 2d0*coupl(nGC_68)**2d0*rMZ**2d0) + Ten592*(2d0*cME** &
              2d0*cMZ**2d0*coupl(nGC_52)**2d0/3d0 - 4d0*cME**2d0*cMZ**2d0*coupl&
              (nGC_52)*coupl(nGC_55) + 2d0*cME**2d0*cMZ**2d0*coupl(nGC_55)**2d0&
              /3d0 - 2d0*cME**2d0*coupl(nGC_52)**2d0*rMZ**2d0/3d0 + 4d0*cME**  &
              2d0*coupl(nGC_52)*coupl(nGC_55)*rMZ**2d0 - 2d0*cME**2d0*coupl(   &
              nGC_55)**2d0*rMZ**2d0/3d0 - 2d0*cMZ**2d0*coupl(nGC_52)**2d0*rMZ**&
              2d0/3d0 - 2d0*cMZ**2d0*coupl(nGC_55)**2d0*rMZ**2d0/3d0 + 2d0*    &
              coupl(nGC_52)**2d0*rMZ**4d0/3d0 + 2d0*coupl(nGC_55)**2d0*rMZ**4d0&
              /3d0) + Ten593*(2d0*cMM**2d0*cMZ**2d0*coupl(nGC_52)**2d0/3d0 -   &
              4d0*cMM**2d0*cMZ**2d0*coupl(nGC_52)*coupl(nGC_55) + 2d0*cMM**2d0*&
              cMZ**2d0*coupl(nGC_55)**2d0/3d0 - 2d0*cMM**2d0*coupl(nGC_52)**2d0&
              *rMZ**2d0/3d0 + 4d0*cMM**2d0*coupl(nGC_52)*coupl(nGC_55)*rMZ**2d0&
               - 2d0*cMM**2d0*coupl(nGC_55)**2d0*rMZ**2d0/3d0 - 2d0*cMZ**2d0*  &
              coupl(nGC_52)**2d0*rMZ**2d0/3d0 - 2d0*cMZ**2d0*coupl(nGC_55)**2d0&
              *rMZ**2d0/3d0 + 2d0*coupl(nGC_52)**2d0*rMZ**4d0/3d0 + 2d0*coupl( &
              nGC_55)**2d0*rMZ**4d0/3d0) + Ten594*(2d0*cMTA**2d0*cMZ**2d0*coupl&
              (nGC_52)**2d0/3d0 - 4d0*cMTA**2d0*cMZ**2d0*coupl(nGC_52)*coupl(  &
              nGC_55) + 2d0*cMTA**2d0*cMZ**2d0*coupl(nGC_55)**2d0/3d0 - 2d0*   &
              cMTA**2d0*coupl(nGC_52)**2d0*rMZ**2d0/3d0 + 4d0*cMTA**2d0*coupl( &
              nGC_52)*coupl(nGC_55)*rMZ**2d0 - 2d0*cMTA**2d0*coupl(nGC_55)**2d0&
              *rMZ**2d0/3d0 - 2d0*cMZ**2d0*coupl(nGC_52)**2d0*rMZ**2d0/3d0 -   &
              2d0*cMZ**2d0*coupl(nGC_55)**2d0*rMZ**2d0/3d0 + 2d0*coupl(nGC_52  &
              )**2d0*rMZ**4d0/3d0 + 2d0*coupl(nGC_55)**2d0*rMZ**4d0/3d0) + 2d0*&
              Ten601*coupl(nGC_56)**2d0*rMZ**2d0*(-cMZ**2d0 + rMZ**2d0) +      &
              Ten602*(cMHL**4d0*cMZ**2d0*coupl(nGC_61)**2d0 - cMHL**4d0*coupl( &
              nGC_61)**2d0*rMZ**2d0 - 2d0*cMHL**2d0*cMZ**4d0*coupl(nGC_61)**2d0&
               + 2d0*cMHL**2d0*coupl(nGC_61)**2d0*rMZ**4d0 + cMZ**6d0*coupl(   &
              nGC_61)**2d0 - 3d0*cMZ**4d0*coupl(nGC_61)**2d0*rMZ**2d0 + 3d0*cMZ&
              **2d0*coupl(nGC_61)**2d0*rMZ**4d0 - 3d0*cMZ**2d0*coupl(nGC_73)** &
              2d0*rMZ**2d0 - coupl(nGC_61)**2d0*rMZ**6d0 + 3d0*coupl(nGC_73)** &
              2d0*rMZ**4d0)/(3d0*rMZ**2d0) + Ten603*(cMHH**4d0*cMZ**2d0*coupl( &
              nGC_57)**2d0 - cMHH**4d0*coupl(nGC_57)**2d0*rMZ**2d0 - 2d0*cMHH**&
              2d0*cMZ**4d0*coupl(nGC_57)**2d0 + 2d0*cMHH**2d0*coupl(nGC_57)**  &
              2d0*rMZ**4d0 + cMZ**6d0*coupl(nGC_57)**2d0 - 3d0*cMZ**4d0*coupl( &
              nGC_57)**2d0*rMZ**2d0 + 3d0*cMZ**2d0*coupl(nGC_57)**2d0*rMZ**4d0 &
               - 3d0*cMZ**2d0*coupl(nGC_72)**2d0*rMZ**2d0 - coupl(nGC_57)**2d0*&
              rMZ**6d0 + 3d0*coupl(nGC_72)**2d0*rMZ**4d0)/(3d0*rMZ**2d0) + pi**&
              2d0*(-2d0*Nc*cMB**2d0*coupl(nGC_50)**2d0/pi**2d0 - 2d0*Nc*cMB**  &
              2d0*coupl(nGC_53)**2d0/pi**2d0 - 2d0*Nc*cMC**2d0*coupl(nGC_51)** &
              2d0/pi**2d0 - 2d0*Nc*cMC**2d0*coupl(nGC_54)**2d0/pi**2d0 - 2d0*Nc&
              *cMD**2d0*coupl(nGC_50)**2d0/pi**2d0 - 2d0*Nc*cMD**2d0*coupl(    &
              nGC_53)**2d0/pi**2d0 - 2d0*Nc*cMS**2d0*coupl(nGC_50)**2d0/pi**2d0&
               - 2d0*Nc*cMS**2d0*coupl(nGC_53)**2d0/pi**2d0 - 2d0*Nc*cMT**2d0* &
              coupl(nGC_51)**2d0/pi**2d0 - 2d0*Nc*cMT**2d0*coupl(nGC_54)**2d0/ &
              pi**2d0 - 2d0*Nc*cMU**2d0*coupl(nGC_51)**2d0/pi**2d0 - 2d0*Nc*cMU&
              **2d0*coupl(nGC_54)**2d0/pi**2d0 + 2d0*Nc*cMZ**2d0*coupl(nGC_50  &
              )**2d0/(3d0*pi**2d0) + 2d0*Nc*cMZ**2d0*coupl(nGC_51)**2d0/(3d0*pi&
              **2d0) + 2d0*Nc*cMZ**2d0*coupl(nGC_53)**2d0/(3d0*pi**2d0) + 2d0* &
              Nc*cMZ**2d0*coupl(nGC_54)**2d0/(3d0*pi**2d0) + Nc*coupl(nGC_50)**&
              2d0*rMZ**2d0/(3d0*pi**2d0) + Nc*coupl(nGC_51)**2d0*rMZ**2d0/(3d0*&
              pi**2d0) + Nc*coupl(nGC_53)**2d0*rMZ**2d0/(3d0*pi**2d0) + Nc*    &
              coupl(nGC_54)**2d0*rMZ**2d0/(3d0*pi**2d0) - 2d0*cME**2d0*coupl(  &
              nGC_52)**2d0/pi**2d0 - 2d0*cME**2d0*coupl(nGC_55)**2d0/pi**2d0 - &
              2d0*cMM**2d0*coupl(nGC_52)**2d0/pi**2d0 - 2d0*cMM**2d0*coupl(    &
              nGC_55)**2d0/pi**2d0 - 2d0*cMTA**2d0*coupl(nGC_52)**2d0/pi**2d0  &
               - 2d0*cMTA**2d0*coupl(nGC_55)**2d0/pi**2d0 + 4d0*cima*cMW**2d0* &
              coupl(nGC_29)/pi**2d0 - 6d0*cMW**2d0*coupl(nGC_37)**2d0/pi**2d0  &
               + cMZ**2d0*coupl(nGC_36)**2d0/(18d0*pi**2d0) + cMZ**2d0*coupl(  &
              nGC_37)**2d0/(6d0*pi**2d0) + 2d0*cMZ**2d0*coupl(nGC_52)**2d0/(3d0&
              *pi**2d0) + 4d0*cMZ**2d0*coupl(nGC_55)**2d0/(9d0*pi**2d0) + 2d0* &
              cMZ**2d0*coupl(nGC_56)**2d0/(3d0*pi**2d0) + 2d0*cMZ**2d0*coupl(  &
              nGC_57)**2d0/(9d0*pi**2d0) + 2d0*cMZ**2d0*coupl(nGC_61)**2d0/(9d0&
              *pi**2d0) - coupl(nGC_36)**2d0*rMZ**2d0/(18d0*pi**2d0) + 5d0*    &
              coupl(nGC_37)**2d0*rMZ**2d0/(6d0*pi**2d0) + coupl(nGC_52)**2d0*  &
              rMZ**2d0/(3d0*pi**2d0) + 5d0*coupl(nGC_55)**2d0*rMZ**2d0/(9d0*pi &
              **2d0) + coupl(nGC_56)**2d0*rMZ**2d0/(3d0*pi**2d0) - 2d0*coupl(  &
              nGC_57)**2d0*rMZ**2d0/(9d0*pi**2d0) - 2d0*coupl(nGC_61)**2d0*rMZ &
              **2d0/(9d0*pi**2d0)))/(16d0*pi**2d0) - cima*coupl(nGC_73)*       &
              dtHl_QED1/cMHL**2d0 - cima*coupl(nGC_72)*dtHh_QED1/cMHH**2d0
    if (.not. complex_mass_scheme) then
      dMZ2_QED2 = cone*real(dMZ2_QED2,kind=dp)
    end if 
end subroutine set_ctparameter138
end module ctparameter138
