!******************************************************************************!
!                                                                              !
!    ctparameter51.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter51.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2016                                 |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-04-01 12:00             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter51
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter51()
  if (dZsR_QED2_scheme .eq. 2) then
    dZsR_QED2 = (Ten201*coupl(nGC_1)**2d0 + Ten265*(-coupl(nGC_106)*coupl(     &
                nGC_107) - 2d0*coupl(nGC_50)**2d0) - Ten266*coupl(nGC_108)**2d0&
                 - Ten267*coupl(nGC_109)**2d0 + Ten352*coupl(nGC_105)**2d0 +   &
                Ten353*coupl(nGC_105)**2d0 - coupl(nGC_50)**2d0)/(16d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      dZsR_QED2 = cone*real(dZsR_QED2,kind=dp)
    end if 
  end if 
end subroutine set_ctparameter51
end module ctparameter51
