!******************************************************************************!
!                                                                              !
!    ctparameter64.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter64.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2016                                 |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-04-01 12:00             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter64
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter64()
  if (dZmuMinusL_QED2_scheme .eq. 1) then
    dZmuMinusL_QED2 = (2d0*Ten456*coupl(nGC_4)**2d0 + 2d0*Ten457*coupl(nGC_55  &
                      )**2d0 + 2d0*Ten460*coupl(nGC_4)**2d0 - 2d0*Ten461*coupl(&
                      nGC_33)**2d0 + 2d0*Ten462*coupl(nGC_55)**2d0 - 4d0*Ten467&
                      *cMM_reg**2d0*coupl(nGC_4)**2d0 + 4d0*Ten471*cMM_reg**2d0&
                      *coupl(nGC_4)**2d0 + pi**2d0*(-coupl(nGC_33)**2d0/pi**2d0&
                       - coupl(nGC_4)**2d0/pi**2d0 - coupl(nGC_55)**2d0/pi**2d0&
                      ))/(16d0*pi**2d0)
    dZmuMinusL_QED2 = cone*real(dZmuMinusL_QED2,kind=dp)
  end if 
end subroutine set_ctparameter64
end module ctparameter64
